CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
cppcms::translation_domain_scope Class Reference

set gettext domain id withing specific scope More...

`#include <cppcms/filters.h>`

Inheritance diagram for cppcms::translation_domain_scope:

## Public Member Functions
| translation_domain_scope (std::ostream &output, int domain_id)
| translation_domain_scope (std::ostream &output, std::string const &domain)
| ~translation_domain_scope ()

## Static Public Member Functions
static int | domain_id (std::ostream &out, std::string const &domain)

## Detailed Description

set gettext domain id withing specific scope

New in CppCMS 1.2

## Constructor & Destructor Documentation

cppcms::translation_domain_scope::translation_domain_scope | ( | std::ostream & | output,
|  | int | domain_id
| ) |  |

Set domain id on the stream and save previous one to restore in the destructor

cppcms::translation_domain_scope::translation_domain_scope | ( | std::ostream & | output,
|  | std::string const & | domain
| ) |  |

Set domain on the stream and save previous one to restore in the destructor

cppcms::translation_domain_scope::~translation_domain_scope | ( |  | ) |

Restrore domain

## Member Function Documentation

static int cppcms::translation_domain_scope::domain_id | ( | std::ostream & | out,
|  | std::string const & | domain
| ) |  |
| static

Get numeric id for the domain

The documentation for this class was generated from the following file:

- cppcms/filters.h